Page MenuHomePhabricator

Requesting access to stat1002 for kaldari
Closed, ResolvedPublic

Description

Hello, I need access to stat1002 for Data Lake querying. I already have access to stat1003.

Username: kaldari
Full name: Ryan Kaldari
Public SSH key: AAAAB3NzaC1yc2EAAAABIwAAAQEAnmxqe0czLnD+blnxcDNRsOF2MDhydEMtUqWwHytxJe
U84YmUDRuqxsEhKCNRSxiZvSf8RrPfiO+OiF/nF7ECdFTvtihDEfV89J7oemACClmrjOD+
r41CNYCFhpI+fZIUzNuenf2h5cMx2Oqg57i+uV5PPSNX0U2VOU4HUgKl4ymjRW2QGpvtNm
tQflwhXPD/9ih7VqlcO1DEbEPj5+jN1LvY86roaW8JDz9dvV+zmoe6yNcHn68W5bG13qOk
fW5BCnVxuofIwN0REvINFAOliHF7gErXjgBqJiDr8O1xopc67+9bHLaqBKa7ji3aJSmrOc
VvRlr2o73M1hC+NoJ2MQ==

  • - NDA check - this step is taken with legal for volunteers, all staff & WMF direct contractors have an NDA as part of their hiring.
  • - L3 document signed by kaldari
  • - manager approval of expansion of access rights on task (approved by Toby Negrin May 23, 2017)
  • - patchset for group addition
  • - 3 business day wait for any objections

Event Timeline

kaldari created this task.May 23 2017, 6:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 23 2017, 6:39 PM
kaldari updated the task description. (Show Details)May 23 2017, 6:39 PM
kaldari updated the task description. (Show Details)
kaldari added a subscriber: Tnegrin.

@Tnegrin: Could you approve this access request?

kaldari updated the task description. (Show Details)May 23 2017, 7:31 PM
Dzahn added a subscriber: Dzahn.May 24 2017, 11:25 PM

Hi @kaldari if you take a look at the table on https://wikitech.wikimedia.org/wiki/Analytics/Data_access#Access_Groups would you say you are asking for "statistics-privatedata-users" or for "analytics-privatedata-users"? Both give access to the host stat1002.

@Dzahn: analytics-privatedata-users, please.

Dzahn added a comment.EditedMay 24 2017, 11:28 PM

I think it's "analytics-privatedata-users" because https://wikitech.wikimedia.org/wiki/Analytics#By_access_system says "Data Lake [Hadoop cluster]" and the page linked above says "If you want Hadoop access you probably want this.".

@kaldari ok, thanks (i had made this edit before reloading :)

Change 355568 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] admins: add kaldari to analytics-privatedata-users

https://gerrit.wikimedia.org/r/355568

kaldari updated the task description. (Show Details)May 24 2017, 11:35 PM

Change 355568 merged by Alexandros Kosiaris:
[operations/puppet@production] admins: add kaldari to analytics-privatedata-users

https://gerrit.wikimedia.org/r/355568

akosiaris closed this task as Resolved.May 25 2017, 9:56 AM
akosiaris claimed this task.
akosiaris added a subscriber: akosiaris.

I don't think the 3 day waiting period applies to the addition of extra privileges, so in the interest of not stalling this anymore, I 've gone ahead and merged the change. Resolving the task, feel free to reopen.